using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.BLL.RegraNegocio;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioGDMovimentacao
    {

        public void Insert(entidadeGDMovimentacao objGDMovimentacao)
        {
            dalGDMovimentacao dalGDMovimentacao = null;

            try
            {
                dalGDMovimentacao = new dalGDMovimentacao();

                dalGDMovimentacao.Insert(objGDMovimentacao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeGDMovimentacao objGDMovimentacao)
        {
            dalGDMovimentacao dalGDMovimentacao = null;

            try
            {
                dalGDMovimentacao = new dalGDMovimentacao();

                dalGDMovimentacao.Update(objGDMovimentacao);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectCount(entidadeGDMovimentacao objGDMovimentacao)
        {
            dalGDMovimentacao dalGDMovimentacao = null;
            DataTable dt = null;

            try
            {
                dalGDMovimentacao = new dalGDMovimentacao();
                dt = dalGDMovimentacao.SelectCount(objGDMovimentacao);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeGDMovimentacao objGDMovimentacao)
        {
            dalGDMovimentacao dalGDMovimentacao = null;

            try
            {
                dalGDMovimentacao = new dalGDMovimentacao();

                dalGDMovimentacao.Delete(objGDMovimentacao);
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
